package com.hotent.portal.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @author 梁宏锦
 * @date 2024/07/16
 **/
@ApiModel(description="模板消息详情")
public class SysMsgTempletDetailVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    protected String id;
    @ApiModelProperty(value = "'外键'")
    protected String refId;
    @ApiModelProperty(value = "变量名称")
    protected String blmc;
    @ApiModelProperty(value = "变量别名")
    protected String blbm;
    @ApiModelProperty(value = "变量类型")
    protected String bllx;
    @ApiModelProperty(value = "示例")
    protected String sl;
    @ApiModelProperty(value = "长度限制")
    protected String zdxz;
    @ApiModelProperty(value = "顺序")
    protected Integer sortNo;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getRefId() {
        return refId;
    }

    public void setRefId(String refId) {
        this.refId = refId;
    }

    public String getBlmc() {
        return blmc;
    }

    public void setBlmc(String blmc) {
        this.blmc = blmc;
    }

    public String getBlbm() {
        return blbm;
    }

    public void setBlbm(String blbm) {
        this.blbm = blbm;
    }

    public String getBllx() {
        return bllx;
    }

    public void setBllx(String bllx) {
        this.bllx = bllx;
    }

    public String getSl() {
        return sl;
    }

    public void setSl(String sl) {
        this.sl = sl;
    }

    public String getZdxz() {
        return zdxz;
    }

    public void setZdxz(String zdxz) {
        this.zdxz = zdxz;
    }

    public Integer getSortNo() {
        return sortNo;
    }

    public void setSortNo(Integer sortNo) {
        this.sortNo = sortNo;
    }
}
